Complete generic wearables connection
curl --request POST \
--url https://api.foreverbetter.xyz/connections/wearables/callback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "<string>",
"organization_id": "<string>",
"code": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"redirect_uri": "<string>",
"external_user_id": "<string>"
}
'import requests
url = "https://api.foreverbetter.xyz/connections/wearables/callback"
payload = {
"user_id": "<string>",
"organization_id": "<string>",
"code": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"redirect_uri": "<string>",
"external_user_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: '<string>',
organization_id: '<string>',
code: '<string>',
client_id: '<string>',
client_secret: '<string>',
redirect_uri: '<string>',
external_user_id: '<string>'
})
};
fetch('https://api.foreverbetter.xyz/connections/wearables/callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Complete generic wearables connection
Complete a generic wearables OAuth callback and register the connected account.
POST
/
connections
/
wearables
/
callback
Complete generic wearables connection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK
⌘I